function [WindLimits,WindColours] = addwindcolours(Data)

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % this function just puts the wind colours on the map
  % you don't need to edit it
  %
  % Corwin Wright, c.wright@bath.ac.uk, 2020/10/28
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


  %define some wind speeds bands we are interested in
  WindLimits  = -50:10:50;

  %assign a colour for each band, using RGB colour syntax
  %this matrix is just a list of colours we'll use - no need to change it!
  WindColours = [0.19,0.21,0.58;    %dark blue
                 0.27,0.46,0.71;
                 0.45,0.68,0.82;    %...
                 0.67,0.85,0.91;
                 0.88,0.95,0.97;    %pale orange
                 1.00,0.88,0.56;    %pale blue
                 0.99,0.68,0.38;
                 0.96,0.43,0.26;    %...
                 0.84,0.19,0.15;
                 0.65,0.00,0.15];   %dark red

  %work through the possible wind speed bands
  for iBand=1:1:numel(WindLimits)-1
  
    %find all the points with a 
    InBand = find(Data.zon_wind_AC >= WindLimits(iBand) ...
                & Data.zon_wind_AC <= WindLimits(iBand+1));
    geoscatter(Data.lat(InBand),Data.lon(InBand),35,WindColours(iBand,:));
    hold on
  end

end
